package org.chenyang.http.message;

import org.chenyang.http.HeaderElement;
import org.chenyang.http.NameValuePair;
import org.chenyang.http.ParseException;
import org.chenyang.http.util.CharArrayBuffer;

public interface HeaderValueParser {
   HeaderElement[] parseElements(CharArrayBuffer var1, ParserCursor var2) throws ParseException;

   HeaderElement parseHeaderElement(CharArrayBuffer var1, ParserCursor var2) throws ParseException;

   NameValuePair[] parseParameters(CharArrayBuffer var1, ParserCursor var2) throws ParseException;

   NameValuePair parseNameValuePair(CharArrayBuffer var1, ParserCursor var2) throws ParseException;
}
